Certificates

List

get

Retrieve a list of all the RAS Certificates.

Query parameters
SiteIdinteger · int32Optional

Site ID of which the Certificates will be retrieved (optional)

NamestringOptional

Filter the result by certificate name (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

The Certificate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

statusstring · enumOptional

Certificate Status Certificate Status

Possible values:
publicKeystring · nullableOptional

The public key.

expirationDatestring · date-time · nullableOptional

The expiration date of the certificate.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
commonNamestring · nullableOptional

The common name of the certificate.

namestring · nullableOptional

Certificate Name.

siteIdinteger · int32Optional

ID of the site.

enabledbooleanOptional

Whether the certificate is enabled or not.

typestring · enumOptional

Certificate Type Certificate Type

Possible values:
usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
intermediatestring · nullableOptional

The intermediate.

requeststring · nullableOptional

The certificate request.

descriptionstring · nullableOptional

The description of the certificate.

alternateNamesstring · nullableOptional

The alternate names of the certificate.

get
/api/Certificates

Get

get

Retrieve a specific RAS Certificate.

Path parameters
idinteger · int32Required

ID of the Certificate to be retrieved

Responses
chevron-right
200

Success

application/json; api-version=1.0

The Certificate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

statusstring · enumOptional

Certificate Status Certificate Status

Possible values:
publicKeystring · nullableOptional

The public key.

expirationDatestring · date-time · nullableOptional

The expiration date of the certificate.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
commonNamestring · nullableOptional

The common name of the certificate.

namestring · nullableOptional

Certificate Name.

siteIdinteger · int32Optional

ID of the site.

enabledbooleanOptional

Whether the certificate is enabled or not.

typestring · enumOptional

Certificate Type Certificate Type

Possible values:
usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
intermediatestring · nullableOptional

The intermediate.

requeststring · nullableOptional

The certificate request.

descriptionstring · nullableOptional

The description of the certificate.

alternateNamesstring · nullableOptional

The alternate names of the certificate.

get
/api/Certificates/{id}

Update

put

Modify the properties of a RAS Certificate.

Path parameters
idinteger · int32Required

ID of the Certificate to be updated

Body

Update a certificate

namestring · nullableOptional

The new name of the target Certificate.

descriptionstring · nullableOptional

A user-defined Certificate description.

usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
enabledboolean · nullableOptional

Enable or disable the specified Certificate in a site.

Responses
put
/api/Certificates/{id}

No content

Delete

delete

Delete a RAS Certificate.

Path parameters
idinteger · int32Required

ID of the Certificate to be deleted

Responses
delete
/api/Certificates/{id}

No content

Last updated